package cn.net.caoyao.cpzshandset.bean;

import java.util.List;

/**
 * @Description: java类作用描述
 * @Author: winstronzeng
 * @CreateDate: 2021/11/30 10:27
 * @UpdateUser: 更新者：
 * @UpdateDate: 2021/11/30 10:27
 * @UpdateRemark: 更新说明：
 * @Version: 1.0
 */
public class ManagerDataBean {
    /**
     * Flag : true
     * Message : 获取经销商信息成功！
     * Data : {"num_per":200,"index":0,"list":[{"area_code":1010200,"code":"D001","createtime":"2021-11-29 17:09:50","id":3,"market":"朝阳区","name":"测试经销商001","phone":"13026598745","province":"北京市","remark":"","status":0}]}
     */

    private boolean Flag;
    private String Message;
    private DataBean Data;

    public boolean isFlag() {
        return Flag;
    }

    public void setFlag(boolean Flag) {
        this.Flag = Flag;
    }

    public String getMessage() {
        return Message;
    }

    public void setMessage(String Message) {
        this.Message = Message;
    }

    public DataBean getData() {
        return Data;
    }

    public void setData(DataBean Data) {
        this.Data = Data;
    }

    public static class DataBean {
        /**
         * num_per : 200
         * index : 0
         * list : [{"area_code":1010200,"code":"D001","createtime":"2021-11-29 17:09:50","id":3,"market":"朝阳区","name":"测试经销商001","phone":"13026598745","province":"北京市","remark":"","status":0}]
         */

        private int num_per;
        private int index;
        private List<ListBean> list;

        public int getNum_per() {
            return num_per;
        }

        public void setNum_per(int num_per) {
            this.num_per = num_per;
        }

        public int getIndex() {
            return index;
        }

        public void setIndex(int index) {
            this.index = index;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {
            /**
             * area_code : 1010200
             * code : D001
             * createtime : 2021-11-29 17:09:50
             * id : 3
             * market : 朝阳区
             * name : 测试经销商001
             * phone : 13026598745
             * province : 北京市
             * remark :
             * status : 0
             */

            private int area_code;
            private String code;
            private String createtime;
            private int id;
            private String market;
            private String name;
            private String phone;
            private String province;
            private String remark;
            private int status;

            public int getArea_code() {
                return area_code;
            }

            public void setArea_code(int area_code) {
                this.area_code = area_code;
            }

            public String getCode() {
                return code;
            }

            public void setCode(String code) {
                this.code = code;
            }

            public String getCreatetime() {
                return createtime;
            }

            public void setCreatetime(String createtime) {
                this.createtime = createtime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getMarket() {
                return market;
            }

            public void setMarket(String market) {
                this.market = market;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getPhone() {
                return phone;
            }

            public void setPhone(String phone) {
                this.phone = phone;
            }

            public String getProvince() {
                return province;
            }

            public void setProvince(String province) {
                this.province = province;
            }

            public String getRemark() {
                return remark;
            }

            public void setRemark(String remark) {
                this.remark = remark;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }
        }
    }
}
